Summary: A network traffic monitoring tool.
Name: tcpdump
%define tcpdump_ver 3.6.1
%define libpcap_ver 0.6.1
Version: %{tcpdump_ver}
Release: 1
Group: Applications/Internet
Copyright: BSD
Url: http://www.tcpdump.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: http://www.tcpdump.org/release/tcpdump-%{tcpdump_ver}.tar.gz
Source1: http://www.tcpdump.org/release/libpcap-%{libpcap_ver}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
Tcpdump is a command-line tool for monitoring network traffic.
Tcpdump can capture and display the packet headers on a particular
network interface or on all interfaces.  Tcpdump can display all of
the packet headers, or just the ones that match particular criteria.


%package -n libpcap
Summary: A system-independent interface for user-level packet capture.
Version: %{libpcap_ver}
Group: Development/Libraries

%description -n libpcap
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.


%prep
%setup -q -c -b 1

%define tcpdump_dir tcpdump-%{tcpdump_ver}
%define libpcap_dir libpcap-%{libpcap_ver}
perl -pi -e 's|-o bin -g bin||g' %{tcpdump_dir}/Makefile.in
perl -pi -e 's|-o bin -g bin||g' %{libpcap_dir}/Makefile.in


%build
cd %{libpcap_dir}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make
cd ..

cd %{tcpdump_dir}
ln -s ../%{libpcap_dir} libpcap
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make
cd ..


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{include/net,lib,man/man{3,8},sbin}

cd %libpcap_dir
make DESTDIR=$RPM_BUILD_ROOT install
cd ..

cd %tcpdump_dir
make DESTDIR=$RPM_BUILD_ROOT install
cd ..


%files
%defattr(-,root,root)
%doc %{tcpdump_dir}/{CHANGES,CREDITS,INSTALL,LICENSE,README,TODO}
/usr/sbin/tcpdump
/usr/man/man1/tcpdump.1.gz

%files -n libpcap
%defattr(-,root,root)
%doc %{libpcap_dir}/{CHANGES,CREDITS,INSTALL,LICENSE,README*,TODO}
/usr/include/*.h
/usr/include/net/*.h
/usr/lib/libpcap.a
/usr/man/man3/pcap.3.gz


%clean
rm -rf $RPM_BUILD_ROOT

